Package org.eclipse.emf.cdo.lm.assembly

# Interface Assembly.DeltaHandler

Enclosing interface:
  `Assembly`

public static interface Assembly.DeltaHandler
A callback interface to be used with `Assembly.compareTo()`.

Author:
  Eike Stepper

## Method Summary

Modifier and Type
Method
Description
`void`
`handleAddition(AssemblyModule newModule)`
`void`
`handleModification(AssemblyModule oldModule, AssemblyModule newModule)`
`void`
`handleRemoval(AssemblyModule oldModule)`

## Method Details

### handleAddition

void handleAddition(AssemblyModule newModule)

### handleRemoval

void handleRemoval(AssemblyModule oldModule)

### handleModification

void handleModification(AssemblyModule oldModule, AssemblyModule newModule)